Bug 121438 - (perl) Writing binary output files using perl scripts.
Writing binary output files using perl scripts.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
Depends On:
Blocks: 591011
  Show dependency treegraph
Reported: 2004-04-21 11:52 EDT by Ramoj Paruchuri
Modified: 2010-05-11 04:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-22 19:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ramoj Paruchuri 2004-04-21 11:52:04 EDT
Description of problem:

I have a Perl script which writes the Binary output data file. This 
script works fine on RH7.3. but creates a larger Binary output file 
on WS 3.0 Update 1 with the same input. Now, when I try to access 
this file, it doesnot load well. Now I have replaced the perl 
binaries and libraries (5.8.0) with the one in RH 7.3 (5.6.0) and it 
works fine.

Version-Release number of selected component (if applicable):

Perl 5.8.0

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
It does write a binary file. But it is totally different from what it 
writes on a RH 7.3 - though its the same input file and same perl 
Comment 1 Ramoj Paruchuri 2004-04-26 12:27:30 EDT
I had upgraded Perl on WS 3.0 to version 5.8.3. As of now, could not 
reproduce that bug on a 32bit IBM M Pro. Yet to test on 64bit IBM A 
pro. Earlier, I could see this bug on both the machines.

P.S: Redhat yet to release a patch on this!!!!!
Comment 2 Ramoj Paruchuri 2004-04-26 16:38:24 EDT
Ok. Works fine on 64bit IBM A Pro.
Comment 3 Warren Togami 2005-07-22 19:20:14 EDT
There is no chance we will be able to fix this because you did not provide a
reproduce procedure.

Note You need to log in before you can comment on or make changes to this bug.